package vt.CS5934.SwitchRoom.models;


import com.google.gson.Gson;
import org.springframework.http.HttpStatus;

import java.util.HashMap;
import java.util.Map;

public class ResponseModel {
    Map<String, Object> map;
    public static String generateResponse(String message, HttpStatus status, Object data) {
        Gson gson = new Gson();
        Map<String, Object> map = new HashMap<>();
        map.put("message", message);
        map.put("status", status.value());
        map.put("data", data);
        return gson.toJson(map);
    }

    public ResponseModel(){
        map = new HashMap<>();
        map.put("message", "");
        map.put("status", HttpStatus.NOT_ACCEPTABLE);
        map.put("data", null);
    }

    public void setMessage(String message){
        map.put("message",message);
    }

    public void setStatus(HttpStatus status){
        map.put("status", status.value());
    }

    public void setMessage(Object data){
        map.put("data",data);
    }

    public String build(){
        Gson gson = new Gson();
        return gson.toJson(map);
    }
}